
/* estimation des paramtres du modle  hasard constant par intervalle */
libname dur "C:\Users\EDUGUET\FacCours\Cours_2015_2016\M2_M";


options linesize=80;

data duree; set dur.base_duree;
data handi; set dur.base_handi;
run;

/* ACTUARIEL */
proc lifetest data=duree method=ACT outsurv=Sact
intervalls=1 to 50 by 1;
time duree_emp*censure(1);
run;


data Sact; set Sact;
T=duree_emp-1;
label 
survival="S(t)"
pdf="f(t)"
hazard="h(t)"
duree_emp="T";
proc print;
run;

symbol1 c=black i=stepJR v=none;
proc gplot data=Sact;
plot survival*T/haxis=0 to 50 by 5;
run;
proc gplot data=Sact;
plot pdf*T/haxis=0 to 50 by 5;
run;
proc gplot data=Sact;
plot hazard*T/haxis=0 to 50 by 5;
run;


