libname rep "C:\Users\EDUGUET\FacCours\Cours_2014_2015\M2\Survie\r";


data tab; set rep.base_duree;
run;
proc contents data=tab;
run;

pattern1 c=blue v=L2;
pattern2 c=red v=solid;
proc gchart data=tab; hbar duree_emp/discrete;
run;
proc gchart data=tab; hbar duree_emp/discrete subgroup=censure;
run;
proc means data=tab; var censure;run;

proc gchart data=tab; hbar age/discrete;
run;

proc gchart data=tab; hbar age/discrete subgroup=censure;
run;

proc means mean stderr n median data=tab;
var duree_emp;
run;

proc iml;
use tab; read all var {censure}   into ci; /* censure */
         read all var {duree_emp} into yi;
n=nrow(yi);
di=J(n,1,1)-ci; /* donne complte */
nd=sum(di);
h=nd/sum(yi); vh=h##2/nd; sh=sqrt(vh);
print "Nombre d'observations =" n, "Compltes =" nd, "h =" h, "Ecart-type as. =" sh;
m=1/h; vm=vh/(h##4); sm=sqrt(vm); tm=abs(m)/sm;
print  "moyenne corrige =" m, "Ecart-type as. =" sm, "Student as. =" tm;
me=log(2)/h; vme=(log(2))##2#vh/(h##4); sme=sqrt(vme); tme=abs(me)/sme;
print  "mdiane corrige =" me, "Ecart-type as. =" sme, "Student as. =" tme;
do t=0 to 30;
ht=h;
st=exp(-h#t);
ct=1-st;
ft=ht#st;
res=res//(t||ht||st||ct||ft);
end;
print res;
create tabres from res[colname=("t"||"ht"||"st"||"ct"||"ft")]; append from res;
quit;
proc print data=tabres;
run;
symbol1 c=black i=join v=none; symbol2 c=blue i=join v=none;
proc gplot data=tabres; plot (ht ft)*t/overlay grid haxis=0 to 30 by 5 ;
proc gplot data=tabres; plot (ct st)*t/overlay grid haxis=0 to 30 by 5 vaxis=0 to 1 by 0.1;run;
/* ne marche pas bien */
proc export data=tabres outfile="C:\Users\EDUGUET\FacCours\tabres.XLS"
replace dbms=excel5; run;
proc export data=tabres outfile="C:\Users\EDUGUET\FacCours\tabres2.CSV"
dbms=DLM replace ;
delimiter=";";
run;
